<?php
/*************************
  Coppermine Photo Gallery
  ************************
  Copyright (c) 2003-2005 Coppermine Dev Team
  v1.1 originaly written by Gregory DEMAR

  This program is free software; you can redistribute it and/or modify
  it under the terms of the GNU General Public License as published by
  the Free Software Foundation; either version 2 of the License, or
  (at your option) any later version.
  ********************************************
  Coppermine version: 1.4.1
  $Source: /cvsroot/cpg-contrib/master_template/codebase.php,v $
  $Revision: 1.3 $
  $Author: donnoman $
  $Date: 2005/12/08 05:46:49 $
**********************************************/

if (!defined('IN_COPPERMINE')) die('Not in Coppermine...');


// Add a filter
$thisplugin->add_filter('template_html','change_template_html');
// Add a filter
$thisplugin->add_filter('page_html','add_gmap_html');
// Add an action
$thisplugin->add_action('page_start','change_template');

/*
 * This function allows you to change the template vars that are created after including the theme.php
 */

function change_template()
{
    global $template_vanity;
    
    $template_vanity = <<<EOT
    <div id="vanity">
          <a id="v_php" href="http://www.php.net/" target="_blank"></a>
          <a id="v_mysql" href="http://www.mysql.com/" target="_blank"></a>
          <a id="v_xhtml" href="http://validator.w3.org/check/referer" target="_blank"></a>
          <a id="v_css" href="http://jigsaw.w3.org/css-validator/check/referer" target="_blank"></a>
          <div style="text-align:center">
          <div>
          <a href="http://coppermine.sf.net"><img src="plugins/master_template/images/mycoppermine.png" width="300" height="64" border="0" alt="Coppermine Logo" /></a>
          </div>
          </div>
    </div>
EOT;
}

/*
 * This function changes the themes template.html as it is read into memory.
 * This example adds google analytics code. (Remmed Output if you don't have a valid ID set.
 */

function change_template_html($html) 
{   
	//$uacct='NN-NNNNNN-N';
    $uacct='NN-NNNNNN-N';
    //only change the $uacct above, don't mess with the ones below
    $add_html='';
    if ($uacct=='NN-NNNNNN-N') $add_html.="\n<!--\n";     
	$add_html .= <<<EOT
		<style type="text/css">
	
	#gmap {
		width: 100%;
		height: 500px;
		border: outset thick gray;
	}
	
	#small_map { /* for maps in editOnePic.php, displayimage.php, and editpics.php */
		width: 300px;
		height: 300px;
		color: black;
		margin: 5px auto;
	}
	
	.infowindow { /* styling for map popup  */
		width: 300px;
		height: 200px;
		overflow: auto;
		text-align: left;
	}

	#gmap_sidebar { /* contains thumbnails that link to points on the map. scrollbar appears if the content is too long */
		background-color: black;
		width: 100%;
		height: 500px;
		overflow:auto;
		text-align: center;
		/*
		padding: 0 10px 0 15px;
		background-image:url(../../images/tile.gif) ;
		background-repeat: repeat-y;
		background-position: left;
		*/
	 }
	 
	 #gmap_sidebar img { /* adds spacing around thumbnails in the sidebar */
		margin: 10px 0 0 0; 
		border: 2px solid black;
	 }
	 
	 #gmap_sidebar a:hover img { /* highlights hovered thumbnails in the sidebar */
		border: 2px solid silver;
	 }
	 
	 #gmap_sidebar a:hover { /* hand cursor shows when hovered over thumbnails in the sidebar */
		cursor: pointer;
	 }

	#gmap_sidebar hr { /* style for the horizontal rule that separates groups of images in the sidebar */
		width: 60%;
	}

		</style>
	{META}
EOT;
    if ($uacct=='NN-NNNNNN-N') $add_html.="\n-->\n";
	return str_replace('{META}',$add_html,$html);
}

function add_gmap_html($html) 
{
	global $gmap_code;

	$add_gmap_api = <<<EOT
	{$gmap_code}
	</body>
EOT;
	return str_replace('</body>',$add_gmap_api,$html);
}
	
?>
